Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServantBase Class Reference

`#include <Servant_Base.h>`

Inheritance diagram for TAO_ServantBase

[legend]
Collaboration diagram for TAO_ServantBase:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_ServantBase (void)
virtual PortableServer::POA_ptr | _default_POA ( CORBA_Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual CORBA::Boolean | _is_a (const char* logical_type_id, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual CORBA::Boolean | _non_existent (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual CORBA_InterfaceDef_ptr | _get_interface ( CORBA_Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual void* | _downcast (const char *repository_id) = 0
virtual TAO_Stub* | _create_stub (CORBA_Environment &ACE_TRY_ENV)
virtual void | _dispatch (TAO_ServerRequest &request, void *servant_upcall, CORBA_Environment &ACE_TRY_ENV) = 0
## Protected Methods
| TAO_ServantBase (void)
| TAO_ServantBase (const TAO_ServantBase &)
TAO_ServantBase& | operator= (const TAO_ServantBase &)
virtual void | synchronous_upcall_dispatch (TAO_ServerRequest &req, void *servant_upcall, void *derived_this, CORBA::Environment &ACE_TRY_ENV)
virtual int | _find (const char *opname, TAO_Skeleton &skelfunc, const unsigned int length = 0)
virtual int | _bind (const char *opname, const TAO_Skeleton skel_ptr)
virtual const char* | _interface_repository_id (void) const = 0
## Protected Attributes
TAO_Operation_Table* | optable_
## Friends
class | TAO_POA
class | TAO_Object_Adapter
class | CORBA_Object
class | TAO_Local_ServantBase

## Constructor & Destructor Documentation

TAO_ServantBase::~TAO_ServantBase ( | void )`[virtual]`

const char *get_rcsid_tao _ TAO_ServantBase::TAO_ServantBase ( | void )`[inline, protected]`

TAO_ServantBase::TAO_ServantBase ( | const TAO_ServantBase & rhs )`[protected]`

## Member Function Documentation

int TAO_ServantBase::_bind ( | const char * opname,
| const TAO_Skeleton skel_ptr )`[protected, virtual]`

| Reimplemented from TAO_Abstract_ServantBase.

TAO_Stub * TAO_ServantBase::_create_stub ( | CORBA_Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Abstract_ServantBase. Reimplemented in TAO_Local_ServantBase.

virtual PortableServer::POA_ptr TAO_ServantBase::_default_POA ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

virtual void TAO_ServantBase::_dispatch ( | TAO_ServerRequest & request,
| void * servant_upcall,
| CORBA_Environment & ACE_TRY_ENV )`[pure virtual]`

| Reimplemented from TAO_Abstract_ServantBase. Reimplemented in TAO_Local_ServantBase.

virtual void* TAO_ServantBase::_downcast ( | const char * repository_id )`[pure virtual]`

| Reimplemented from TAO_Abstract_ServantBase.

int TAO_ServantBase::_find ( | const char * opname,
| TAO_Skeleton & skelfunc,
| const unsigned int length = 0 )`[protected, virtual]`

| Reimplemented from TAO_Abstract_ServantBase.

virtual CORBA_InterfaceDef_ptr TAO_ServantBase::_get_interface ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Reimplemented from TAO_Abstract_ServantBase.

virtual const char* TAO_ServantBase::_interface_repository_id ( | void ) const`[protected, pure virtual]`

| Reimplemented from TAO_Abstract_ServantBase.

virtual CORBA::Boolean TAO_ServantBase::_is_a ( | const char * logical_type_id,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Reimplemented from TAO_Abstract_ServantBase.

virtual CORBA::Boolean TAO_ServantBase::_non_existent ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Reimplemented from TAO_Abstract_ServantBase.

TAO_ServantBase & TAO_ServantBase::operator= ( | const TAO_ServantBase & rhs )`[protected]`

void TAO_ServantBase::synchronous_upcall_dispatch ( | TAO_ServerRequest & req,
| void * servant_upcall,
| void * derived_this,
| CORBA::Environment & ACE_TRY_ENV )`[protected, virtual]`

| Reimplemented from TAO_Abstract_ServantBase.

## Friends And Related Function Documentation

class CORBA_Object`[friend]`

class TAO_Local_ServantBase`[friend]`

class TAO_Object_Adapter`[friend]`

class TAO_POA`[friend]`

## Member Data Documentation

TAO_Operation_Table * TAO_ServantBase::optable_`[protected]`

The documentation for this class was generated from the following files:

- Servant_Base.h
- Servant_Base.cpp